Summary: A text-based modem control and terminal emulation program
Name: minicom
Version: 2.9
Release: 3%{?dist}
License: GPLv2+ and LGPLv2+ and Public Domain
URL: https://salsa.debian.org/minicom-team/minicom
Source0: https://salsa.debian.org/minicom-team/minicom/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: make gcc
BuildRequires: lockdev-devel ncurses-devel autoconf automake gettext-devel
BuildRequires: git
Requires: lockdev lrzsz

%description
Similar to MSDOS Telix, Minicom is a simple text-based modem control and terminal emulation program. 
This package includes a dialing directory, full ANSI and VT100 emulation, an (external) scripting
language, and other features.

%prep
%autosetup -S git

cp -pr doc doc_
rm -f doc_/Makefile*

%build
autoreconf -fiv
rm -f lib/snprintf.c

%configure
%make_build

%install
%make_install
mkdir -p %{buildroot}%{_sysconfdir}

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc ChangeLog AUTHORS NEWS TODO doc_/*
%{_bindir}/minicom
%{_bindir}/runscript
%{_bindir}/xminicom
%{_bindir}/ascii-xfr
%{_mandir}/man1/*


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9-2
- Rebuilt for loongarch release

* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 2.9-1
- Upgrade to version 2.9

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 17 2022 Wang Guodong <gordonwwang@tencent.com> - 2.8-1
- package init.
